Current NVIDIA-GFXG04 kernel driver is incompatible with all available kernels

Current NVIDIA-GFXG04 kernel driver (390.141_k5.10.9_1-8.11) is incompatible with all available kernels (5.10.4, 5.10.16, and 5.11.0). After the last software upgrade, my system doesn’t start into graphics mode anymore. Any hint, on how to get a fully working system back again?

You got glibc 2.33?
Try to uninstall nVidia drivers and reinstall them “the hard way”.

Thank you very much!

However, this is out of my league. I need a solution that is on the level of an average user of OpenSuseLinux.

Then inform developers - create bug report.
Try to use nouveau drivers.

There is still no updated kernel driver by Nvidia… Do you know, where I can create a bug report?

This also seems to be a tricky and risky task…

The Nvidia driver rpm is build with the nvidia driver from nvidia and some patches and other files on the openSUSE Build Service, but delivered from Nvidia Server because of the licence.

So a bugreport is the best you can make:
https://bugzilla.opensuse.org/index.cgi

Thanks - I’ve issued Bug 1182518.

Problem finally fixed by removing the repository Kernel:stable from the list. Kernel:stable is the developer repository.

there has been a possibly related discussion here: https://lists.opensuse.org/archives/list/factory@lists.opensuse.org/thread/FT7IHNFTYMB4RRWS5V3AORWXK2G6XPPA/

Not related: OP was trying to use TW + kernel from kernel:stable repo + Nvidia drivers from TW repo.
With kernel from kernel:stable repo use “the hard way” to install Nvidia drivers.